> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1assistantschats



## OpenAPI

````yaml /api-reference/openapi.json put /v1/assistants/chats/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/assistants/chats/{id}:
    put:
      tags:
        - AssistantChats
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AssistantsAssistantChatUpdateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/AssistantsAssistantChatUpdateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/AssistantsAssistantChatUpdateRequest'
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AssistantsSBAssistantChatResponse'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
        '404':
          description: Not Found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    AssistantsAssistantChatUpdateRequest:
      type: object
      properties:
        title:
          type: string
          nullable: true
        isActive:
          type: boolean
          nullable: true
      additionalProperties: false
    AssistantsSBAssistantChatResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        title:
          type: string
          nullable: true
        threadId:
          type: string
          nullable: true
        isActive:
          type: boolean
        businessId:
          type: integer
          format: int64
          nullable: true
        userId:
          type: integer
          format: int64
        messages:
          type: array
          items:
            $ref: '#/components/schemas/AssistantsSBAssistantMessageResponse'
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    AssistantsSBAssistantMessageResponse:
      type: object
      properties:
        id:
          type: integer
          format: int64
        chatId:
          type: integer
          format: int64
        content:
          type: string
          nullable: true
        isUserMessage:
          type: boolean
        messageId:
          type: string
          nullable: true
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
          nullable: true
      additionalProperties: false

````